tigase.jaxmpp.core.client

## Class Hex

- java.lang.Object
- - tigase.jaxmpp.core.client.Hex

-     public class Hex
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hex()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decode(String hex)`
    `static String` | `encode(byte[] buffer)`
    `static String` | `encode(byte[] buffer, int offset)`
    `static String` | `format(String hex, int groupSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Hex

          public Hex()

  - ### Method Detail

    - #### decode

          public static byte[] decode(String hex)

    - #### encode

          public static String encode(byte[] buffer,
                                      int offset)

    - #### encode

          public static String encode(byte[] buffer)

    - #### format

          public static String format(String hex,
                                      int groupSize)

Copyright © 2006–2020 Tigase. All rights reserved.